Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

CUC 9.1.2 Upgrade failed

Hi

We want to upgrade our Unity Connection running Vers. 9.1.2.11900-12 to Vers. 9.1.2.12900-11. After the "utils system switch-version" command on the CLI, we get the error "Sync after switch version failed". We already restarted the Server.

How can we fix that?

Thank you in advance.

 

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

In case it is a cluster

In case it is a cluster upgrade, before we switch the version on publisher, we need to upgrade both publisher and subscriber before attempting a switch version on publisher.
Else the switch version on publisher will fail with the above error. The recommended upgrade procedure for a cluster is:

++check the replication between the cluster and make sure that its fine.
++upgrade Publisher server, do not reboot.
++upgrade Subscriber server, do not reboot.
++switch version on publisher, wait till services start.
++switch version on subscriber, check the services list

In case it is a different scenario then please share the install logs.

HTH

Manish

3 REPLIES
Cisco Employee

In case it is a cluster

In case it is a cluster upgrade, before we switch the version on publisher, we need to upgrade both publisher and subscriber before attempting a switch version on publisher.
Else the switch version on publisher will fail with the above error. The recommended upgrade procedure for a cluster is:

++check the replication between the cluster and make sure that its fine.
++upgrade Publisher server, do not reboot.
++upgrade Subscriber server, do not reboot.
++switch version on publisher, wait till services start.
++switch version on subscriber, check the services list

In case it is a different scenario then please share the install logs.

HTH

Manish

VIP Purple

Hi Joel,[+5] to Manish for

Hi Joel,

[+5] to Manish for sharing his views.

There are few bugs associated with the unity connection 9.x for the error u are getting while trying to do Switch Over but not exactly with your version.

can u please  do the steps as explained by Manish?

Lastly, do u have Pub and Sub in setup and on which server u are getting this error.

regds,

aman

New Member

Hi ManishThe upgrade on cuc

Hi Manish

The upgrade on cuc publisher and subscriber worked fine.

Thanks a lot for your instructions!

Kind regards

Joël

@Aman Soi: Thanks also for your input.
 

275
Views
5
Helpful
3
Replies
CreatePlease login to create content